Bug 182239 - ports-mgmt/portupgrade breaks Ruby 1.9
ports-mgmt/portupgrade breaks Ruby 1.9
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 23:40 UTC by alex
Modified: 2013-09-21 15:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description alex 2013-09-19 23:40:00 UTC
Portupgrade depends on devel/ruby/date2 which monkeypatches the Date
class into oblivion.  Ruby scripts that expect a functional Date class
will break.

Fix: 

Remove dependency on devel/ruby19-date2 and/or mark the port as broken
(at least with Ruby 1.9+).
How-To-Repeat: Enable ruby 1.9, install portupgrade (or portupgrade-devel), then
attempt to use a script (like Ruby on Rails 4) that expects ruby's core
Date class to function as intended.  It will break.  See this:

https://github.com/pkgtools/portupgrade-port/issues/8
Comment 1 Edwin Groothuis freebsd_committer 2013-09-20 17:29:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Bryan Drewery freebsd_committer 2013-09-20 21:18:03 UTC
State Changed
From-To: open->suspended

As I said in the github issue, this is not a portupgrade issue. 
Portupgrade is not broken. Portupgrade is using a dependency that is 
breaking some other project. Even if portupgrade no longer depends on 
ruby/date2, something else might. Either ruby/date2 or rails are the 
issue, definitely not portupgrade. 

I am willing to find a replacement if possible and do accept patches.
Comment 3 alex 2013-09-20 21:46:21 UTC
It's not breaking some other project.  Portupgrade is overwriting the 
ruby standard library GLOBALLY  This breaks ANY application attempting 
to use the Ruby standard library.  This is akin to installing GNU libc 
over the FreeBSD variant and claiming that the breakage is a result of 
the applications expecting a FreeBSD libc.

At the very least any breakage should be confined to portupgrade.
Comment 4 dfilter freebsd_committer 2013-09-21 14:57:37 UTC
Author: bdrewery
Date: Sat Sep 21 13:57:29 2013
New Revision: 327815
URL: http://svnweb.freebsd.org/changeset/ports/327815

Log:
  - Update to checkin 452ad6a which is 2.4.11.2
  
  Changes:
    Rework date parsing for Ruby 1.9 to not depend on devel/ruby-date2 [1]
  
  PR:		ports/182239

Modified:
  head/ports-mgmt/portupgrade-devel/Makefile
  head/ports-mgmt/portupgrade-devel/distinfo

Modified: head/ports-mgmt/portupgrade-devel/Makefile
==============================================================================
--- head/ports-mgmt/portupgrade-devel/Makefile	Sat Sep 21 13:19:59 2013	(r327814)
+++ head/ports-mgmt/portupgrade-devel/Makefile	Sat Sep 21 13:57:29 2013	(r327815)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	portupgrade
-PORTVERSION=	20130916
+PORTVERSION=	20130921
 PORTEPOCH=	3
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	GH \
@@ -21,7 +21,7 @@ NO_STAGE=	yes
 USE_GITHUB=	yes
 GH_ACCOUNT=	freebsd
 GH_PROJECT=	portupgrade
-GH_COMMIT=	e4a515a
+GH_COMMIT=	452ad6a
 GH_TAGNAME=	${GH_COMMIT}
 
 DIST_SUBDIR=	${PORTNAME}
@@ -62,11 +62,6 @@ INSTALL_TARGET+=	install-doc
 RUN_DEPENDS+=	${RUBY_SITEARCHLIBDIR}/bdb.so:${PORTSDIR}/databases/ruby-bdb
 .endif
 
-# parsedate is needed for date globbing
-.if ${RUBY_VER} == 1.9
-RUN_DEPENDS+=	${RUBY_SITELIBDIR}/parsedate.rb:${PORTSDIR}/devel/ruby-date2
-.endif
-
 # Need to install working script(1)
 .if ${OSVERSION} < 801000
 PLIST_SUB+=	SCRIPT=""

Modified: head/ports-mgmt/portupgrade-devel/distinfo
==============================================================================
--- head/ports-mgmt/portupgrade-devel/distinfo	Sat Sep 21 13:19:59 2013	(r327814)
+++ head/ports-mgmt/portupgrade-devel/distinfo	Sat Sep 21 13:57:29 2013	(r327815)
@@ -1,2 +1,2 @@
-SHA256 (portupgrade/freebsd-portupgrade-20130916-0-ge4a515a.tar.gz) = dbfc0e35693afd243707483e22bd5d60a92a47009175dff9208858d28485bd95
-SIZE (portupgrade/freebsd-portupgrade-20130916-0-ge4a515a.tar.gz) = 106884
+SHA256 (portupgrade/freebsd-portupgrade-20130921-0-g452ad6a.tar.gz) = 629a5bebeea2bcae303603a5cb3b4c5d885e82ea000ce95aa673256b93f5b4d7
+SIZE (portupgrade/freebsd-portupgrade-20130921-0-g452ad6a.tar.gz) = 106950
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter freebsd_committer 2013-09-21 15:02:52 UTC
Author: bdrewery
Date: Sat Sep 21 14:02:45 2013
New Revision: 327816
URL: http://svnweb.freebsd.org/changeset/ports/327816

Log:
  - Update to 2.4.11.2
  
  Changes:
    Rework date parsing for Ruby 1.9 to not depend on devel/ruby-date2 [1]
  
  PR:		ports/182239 [1]

Modified:
  head/ports-mgmt/portupgrade/Makefile
  head/ports-mgmt/portupgrade/distinfo

Modified: head/ports-mgmt/portupgrade/Makefile
==============================================================================
--- head/ports-mgmt/portupgrade/Makefile	Sat Sep 21 13:57:29 2013	(r327815)
+++ head/ports-mgmt/portupgrade/Makefile	Sat Sep 21 14:02:45 2013	(r327816)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	portupgrade
-PORTVERSION=	2.4.11.1
+PORTVERSION=	2.4.11.2
 PORTEPOCH=	2
 CATEGORIES=	ports-mgmt
 MASTER_SITES=	SF/portupgrade/pkgtools/dist/ \
@@ -62,11 +62,6 @@ INSTALL_TARGET+=	install-doc
 RUN_DEPENDS+=	${RUBY_SITEARCHLIBDIR}/bdb.so:${PORTSDIR}/databases/ruby-bdb
 .endif
 
-# parsedate is needed for date globbing
-.if ${RUBY_VER} == 1.9
-RUN_DEPENDS+=	${RUBY_SITELIBDIR}/parsedate.rb:${PORTSDIR}/devel/ruby-date2
-.endif
-
 # Need to install working script(1)
 .if ${OSVERSION} < 801000
 PLIST_SUB+=	SCRIPT=""

Modified: head/ports-mgmt/portupgrade/distinfo
==============================================================================
--- head/ports-mgmt/portupgrade/distinfo	Sat Sep 21 13:57:29 2013	(r327815)
+++ head/ports-mgmt/portupgrade/distinfo	Sat Sep 21 14:02:45 2013	(r327816)
@@ -1,2 +1,2 @@
-SHA256 (portupgrade/pkgtools-2.4.11.1.tar.bz2) = 9e683cba14fe5717f0518e00463a200c4318da177158fc284c7b482c6452b790
-SIZE (portupgrade/pkgtools-2.4.11.1.tar.bz2) = 85818
+SHA256 (portupgrade/pkgtools-2.4.11.2.tar.bz2) = a65813a51e946a742d2e035912a0b1a7aaf6a3fb709ccb7248a77a7f3a600acd
+SIZE (portupgrade/pkgtools-2.4.11.2.tar.bz2) = 85832
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Bryan Drewery freebsd_committer 2013-09-21 15:03:10 UTC
State Changed
From-To: suspended->closed

Portupgrade 2.4.11.2 released which no longer requires devel/ruby-date2